/*
 * MIT License
 *
 * Copyright (c) 2021 Siddhesh Patil, Siddroid.com
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */

package com.siddroid.holi.colors

import androidx.compose.ui.graphics.Color

/**
 *
 * @author Siddhesh Patil
 * Siddroid.com
 * @since 28-03-2021
 *
 * A collection of cool looking colors!
 * Palette source: https://www.materialui.co/htmlcolors
 *
 */
object CoolColor {

    val GAINSBORO = Color(0xffDCDCDC)
    val LIGHT_GREY = Color(0xffD3D3D3)
    val SILVER = Color(0xffC0C0C0)
    val DARK_GREY = Color(0xffA9A9A9)
    val GREY = Color(0xff808080)
    val DIM_GREY = Color(0xff696969)
    val LIGHT_SLATE_GREY = Color(0xff778899)
    val SLATE_GREY = Color(0xff708090)
    val DARK_SLATE_GREY = Color(0xff2F4F4F)
    val BLACK = Color(0xff000000)
    val CORN_SILK = Color(0xffFFF8DC)
    val BLANCHED_ALMOND = Color(0xffFFEBCD)
    val BISQUE = Color(0xffFFE4C4)
    val NAVAJO_WHITE = Color(0xffFFDEAD)
    val WHEAT = Color(0xffF5DEB3)
    val BURLYWOOD = Color(0xffF5DEB3)
    val TAN = Color(0xffD2B48C)
    val ROSY_BROWN = Color(0xffBC8F8F)
    val SANDY_BROWN = Color(0xffF4A460)
    val GOLDEN_ROD = Color(0xffDAA520)
    val DARK_GOLDEN_ROD = Color(0xffB8860B)
    val PERU = Color(0xffCD853F)
    val CHOCOLATE = Color(0xffD2691E)
    val SADDLE_BROWN = Color(0xff8B4513)
    val SIENNA = Color(0xffA0522D)
    val BROWN = Color(0xffA52A2A)
    val MAROON = Color(0xff800000)
    val INDIAN_RED = Color(0xffCD5C5C)
    val LIGHT_CORAL = Color(0xffF08080)
    val SALMON = Color(0xffFA8072)
    val DARK_SALMON = Color(0xffE9967A)
    val LIGHT_SALMON = Color(0xffFFA07A)
    val CRIMSON = Color(0xffDC143C)
    val RED = Color(0xffFF0000)
    val FIREBRICK = Color(0xffB22222)
    val DARK_RED = Color(0xff8B0000)
    val PINK = Color(0xffFFC0CB)
    val LIGHT_PINK = Color(0xffFFB6C1)
    val HOT_PINK = Color(0xffFF69B4)
    val DEEP_PINK = Color(0xffFF1493)
    val MEDIUM_VIOLET_RED = Color(0xffC71585)
    val PALE_VIOLET_RED = Color(0xffDB7093)
    val CORAL = Color(0xffFF7F50)
    val TOMATO = Color(0xffFF6347)
    val ORANGE_RED = Color(0xffFF4500)
    val DARK_ORANGE = Color(0xffFF8C00)
    val ORANGE = Color(0xffFFA500)
    val GOLD = Color(0xffFFD700)
    val YELLOW = Color(0xffFFFF00)
    val LIGHT_YELLOW = Color(0xffFFFFE0)
    val LEMON_CHIFFON = Color(0xffFFFACD)
    val LIGHT_GOLDEN_ROD_YELLOW = Color(0xffFAFAD2)
    val PAPAYA_WHIP = Color(0xffFFEFD5)
    val MOCCASIN = Color(0xffFFE4B5)
    val PEACH_PUFF = Color(0xffFFDAB9)
    val PALE_GOLDEN_ROD = Color(0xffEEE8AA)
    val KHAKI = Color(0xffF0E68C)
    val DARK_KHAKI = Color(0xffBDB76B)
    val GREEN_YELLOW = Color(0xffADFF2F)
    val CHARTREUSE = Color(0xff7FFF00)
    val LAWN_GREEN = Color(0xff7CFC00)
    val LIME = Color(0xff00FF00)
    val LIME_GREEN = Color(0xff32CD32)
    val DARK_OLIVE = Color(0xff556B2F)
    val MEDIUM_AQUAMARINE = Color(0xff66CDAA)
    val DARK_SEAGREEN = Color(0xff8FBC8B)
    val LIGHT_SEAGREEN = Color(0xff20B2AA)
    val DARK_CYAN = Color(0xff008B8B)
    val TEAL = Color(0xff008080)
    val LAVENDER = Color(0xffE6E6FA)
    val THISTLE = Color(0xffD8BFD8)
    val PLUM = Color(0xffDDA0DD)
    val VIOLET = Color(0xffEE82EE)
    val ORCHID = Color(0xffDA70D6)
    val FUCHSIA = Color(0xffFF00FF)
    val MAGENTA = Color(0xffFF00FF)
    val MEDIUM_ORCHID = Color(0xffBA55D3)
    val MEDIUM_PURPLE = Color(0xff9370DB)
    val REBECCA_PURPLE = Color(0xff663399)
    val BLUE_VIOLET = Color(0xff8A2BE2)
    val DARK_VIOLET = Color(0xff9400D3)
    val DARK_ORCHID = Color(0xff9932CC)
    val DARK_MAGENTA = Color(0xff8B008B)
    val PURPLE = Color(0xff800080)
    val INDIGO = Color(0xff4B0082)
    val SLATE_BLUE = Color(0xff6A5ACD)
    val DARK_SLATE_BLUE = Color(0xff483D8B)
    val MEDIUM_SLATE_BLUE = Color(0xff7B68EE)
    val AQUA = Color(0xff00FFFF)
    val CYAN = Color(0xff00FFFF)
    val LIGHT_CYAN = Color(0xffE0FFFF)
    val PALE_TURQUOISE = Color(0xffAFEEEE)
    val AQUAMARINE = Color(0xff7FFFD4)
    val TURQUOISE = Color(0xff40E0D0)
    val MEDIUM_TURQUOISE = Color(0xff48D1CC)
    val DARK_TURQUOISE = Color(0xff00CED1)
    val CADET_BLUE = Color(0xff5F9EA0)
    val STEEL_BLUE = Color(0xff4682B4)
    val LIGHT_STEEL = Color(0xffB0C4DE)
    val POWDER_BLUE = Color(0xffB0E0E6)
    val LIGHT_BLUE = Color(0xffADD8E6)
    val SKY_BLUE = Color(0xff87CEEB)
    val LIGHT_SKY = Color(0xff87CEFA)
    val DEEP_SKY_BLUE = Color(0xff00BFFF)
    val DODGER_BLUE = Color(0xff1E90FF)
    val CORNFLOWER_BLUE = Color(0xff6495ED)
    val ROYAL_BLUE = Color(0xff4169E1)
    val BLUE = Color(0xff0000FF)
    val MEDIUM_BLUE = Color(0xff0000CD)
    val DARK_BLUE = Color(0xff00008B)
    val NAVY = Color(0xff000080)
    val MIDNIGHT_BLUE = Color(0xff191970)
    val WHITE = Color(0xffFFFFFF)
    val SNOW = Color(0xffFFFAFA)
    val HONEY_DEW = Color(0xffF0FFF0)
    val MINT_CREAM = Color(0xffF5FFFA)
    val AZURE = Color(0xffF0FFFF)
    val ALICE_BLUE = Color(0xffF0F8FF)
    val GHOST_WHITE = Color(0xffF8F8FF)
    val WHITE_SMOKE = Color(0xffF5F5F5)
    val SEASHELL = Color(0xffFFF5EE)
    val BEIGE = Color(0xffF5F5DC)
    val OLDLACE = Color(0xffFDF5E6)
    val FLORAL_WHITE = Color(0xffFFFAF0)
    val IVORY = Color(0xffFFFFF0)
    val ANTIQUE_WHITE = Color(0xffFAEBD7)
    val LINEN = Color(0xffFAF0E6)
    val LAVENDER_BRUSH = Color(0xffFFF0F5)
    val MISTY_ROSE = Color(0xffFFE4E1)

}